$: << File.expand_path(File.dirname(__FILE__) + '/../lib')

require 'oracle_client_installer'

class OracleClient < Thor
  attr_reader :installer

  def initialize *params
    @installer = OracleClientInstaller.new ".oracle_client_installer.json"

    super *params
  end

  desc "install", "Installs Oracle Instant Client"
  def install
    installer.install
  end

  desc "uninstall", "Uninstalls Oracle Instant Client"
  def uninstall
    installer.uninstall
  end

  desc "verify", "Verifies Oracle Instant Client connection"
  def verify
    username = "scott"
    password = "tiger"
    schema   = "ORCL"
    sql      = "SELECT * FROM emp where rownum <= 10"

    installer.verify do
      "require 'oci8'; OCI8.new('#{username}','#{password}','#{schema}').exec('#{sql}') do |r| puts r.join(','); end"
    end
  end

end

